package com.eactive.eai.rms.data.entity.onl.apim.portalstatistics;

import com.eactive.eai.common.util.UUID;
import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;
import org.springframework.stereotype.Repository;

import java.util.HashMap;
import java.util.List;

@Repository
public class PortalStatisticsDao extends SqlMapClientTemplateDao {

	public List<PortalStatisticsVO> selectLogList(HashMap<String, Object> paramMap) {
		
		List<PortalStatisticsVO> selectLogList =
				this.template.queryForList("PortalStatistics.selectLogList", paramMap);

		for(PortalStatisticsVO vo : selectLogList) {
			vo.setRequestUri(UUID.randomUUID().toString());
		}
		return selectLogList;
	}
	
}
